> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List Static Memos

> List all Static Memo objects



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json get /static_memos
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /static_memos:
    get:
      tags:
        - Static Memos
      summary: List Static Memos
      description: List all Static Memo objects
      parameters:
        - $ref: '#/components/parameters/FiatInstructionsActivationStatusParameter'
        - $ref: '#/components/parameters/LimitParameter'
        - $ref: '#/components/parameters/StaticMemoStartingAfterParameter'
        - $ref: '#/components/parameters/StaticMemoEndingBeforeParameter'
      responses:
        '200':
          description: List of Static Memos
          content:
            application/json:
              schema:
                title: Static Memos
                type: object
                required:
                  - count
                  - data
                properties:
                  count:
                    description: total number of items in data
                    type: integer
                  data:
                    type: array
                    minItems: 0
                    items:
                      $ref: '#/components/schemas/StaticMemoResponse'
components:
  parameters:
    FiatInstructionsActivationStatusParameter:
      in: query
      required: false
      name: status
      description: Limit results to those with the given activation status
      example: activated
      schema:
        $ref: '#/components/schemas/VirtualAccountActivationStatus'
    LimitParameter:
      in: query
      name: limit
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 10
      description: The number of items to return (min 1, default 10, max 100)
    StaticMemoStartingAfterParameter:
      in: query
      name: starting_after
      schema:
        type: string
      description: >-
        This is a static memo id. If this is specified, the next page that
        starts with a static memo right AFTER the specified static memo id on
        the static memo timeline, which is always ordered from the newest to the
        oldest by creation time, will be returned. This also implies that static
        memo older than the specified static memo id will be returned (shouldn't
        be set if ending_before is set)
    StaticMemoEndingBeforeParameter:
      in: query
      name: ending_before
      schema:
        type: string
      description: >-
        This is a static memo id. If this is specified, the previous page that
        ends with a static memo right BEFORE the specified static memo id on the
        static memo timeline, which is always ordered from the newest to the
        oldest by creation time, will be returned. This also implies that static
        memo newer than the specified static memo id will be returned (shouldn't
        be set if starting_after is set)
  schemas:
    StaticMemoResponse:
      properties:
        id:
          $ref: '#/components/schemas/Id'
          readOnly: true
        developer_fee_percent:
          $ref: '#/components/schemas/StaticMemoDeveloperFeePercent'
        source_deposit_instructions:
          $ref: '#/components/schemas/StaticMemoSourceDepositInstructions'
        destination:
          $ref: '#/components/schemas/StaticMemoDestination'
        created_at:
          readOnly: true
          type: string
          description: Time of creation of the static memo
          format: date-time
    VirtualAccountActivationStatus:
      description: The activation status of the Virtual Account
      type: string
      enum:
        - activated
        - deactivated
    Id:
      description: A UUID that uniquely identifies a resource
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    StaticMemoDeveloperFeePercent:
      description: >-
        The developer fee percent that will be applied to this Virtual Account.
        The value is a base 100 percentage, i.e. 10.2% is 10.2 in the API.
      type: string
      format: number
      minimum: 0
      maximum: 100
      exclusiveMaximum: true
      example: '0.1'
    StaticMemoSourceDepositInstructions:
      readOnly: true
      properties:
        currency:
          $ref: '#/components/schemas/FiatCurrency'
        payment_rails:
          description: All supported payment rails for deposits
          type: array
          items:
            $ref: '#/components/schemas/PaymentRail'
        deposit_message:
          description: >-
            The message that the customer MUST include in their wire
            memo/message or ACH description.
          type: string
        bank_name:
          description: The name of the bank that the customer should send the deposit to
          type: string
        bank_address:
          description: The address of the bank that the customer should send the deposit to
          type: string
        bank_routing_number:
          description: >-
            The routing number of the bank that the customer should send the
            deposit to
          type: string
        bank_account_number:
          description: >-
            The account number of the bank that the customer should send the
            deposit to
          type: string
        bank_beneficiary_name:
          description: >-
            The name of the beneficiary of the bank account that the customer
            should send the deposit to
          type: string
        bank_beneficiary_address:
          description: >-
            The address of the beneficiary of the bank account that the customer
            should send the deposit to
          type: string
      example:
        currency: usd
        payment_rails:
          - ach_push
          - wire
        deposit_message: EXAMPLE_MEMO_MESSAGE
        bank_name: Lead Bank
        bank_address: 1801 Main St., Kansas City, MO 64108
        bank_beneficiary_name: Bridge Ventures Inc
        bank_beneficiary_address: >-
          21750 Hardy Oak Blvd, Ste 104 PMB 77950, San Antonio, Texas,
          78258-4946
        bank_account_number: '123456789'
        bank_routing_number: '87654321'
    StaticMemoDestination:
      required:
        - currency
        - payment_rail
        - address
      properties:
        currency:
          $ref: '#/components/schemas/CryptoCurrency'
        payment_rail:
          $ref: '#/components/schemas/OfframpChain'
        address:
          description: >-
            The crypto wallet address that the customer wishes to ultimately
            receive funds at
          type: string
        bridge_wallet_id:
          $ref: '#/components/schemas/Id'
          description: >-
            The Bridge Wallet to which Bridge will send the funds. payment_rail
            must match the chain of the Bridge Wallet.
        blockchain_memo:
          type: string
          description: >-
            The memo to include when sending funds on chain. Only allowed for
            blockchains that support memos such as Stellar
      example:
        currency: usdc
        payment_rail: polygon
        address: '0xdeadbeef'
    FiatCurrency:
      type: string
      enum:
        - usd
    PaymentRail:
      type: string
      enum:
        - ach
        - wire
        - ach_push
        - ach_same_day
        - arbitrum
        - avalanche_c_chain
        - base
        - bre_b
        - co_bank_transfer
        - celo
        - ethereum
        - optimism
        - pix
        - polygon
        - solana
        - spei
        - stellar
        - tempo
    CryptoCurrency:
      type: string
      enum:
        - usdb
        - usdc
        - usdt
        - pyusd
        - eurc
    OfframpChain:
      type: string
      enum:
        - arbitrum
        - avalanche_c_chain
        - base
        - celo
        - ethereum
        - optimism
        - polygon
        - solana
        - stellar
        - tempo
        - tron
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````